> ## Documentation Index
> Fetch the complete documentation index at: https://developers.loyaltylion.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Activities

Activities in LoyaltyLion represent actions that added or removed points from a
customer. These are most commonly triggered by a Rule, such as giving points for
placing an order or enrolling in the program, but can also be created in other
situations such as manual point adjustments or point expirations.


## OpenAPI

````yaml /api-reference/v2/openapi.json GET /v2/activities
openapi: 3.1.1
info:
  title: LoyaltyLion Admin API
  version: v2
servers:
  - url: https://api.loyaltylion.com
security: []
tags:
  - name: identity
  - name: activities
  - name: orders
  - name: transactions
  - name: customers
  - name: webhooks
  - name: emails
  - name: sites
  - name: reviews
  - name: rewards
  - name: integrations
  - name: gatsby
paths:
  /v2/activities:
    get:
      tags:
        - activities
      operationId: activities.listActivities
      parameters:
        - name: since_id
          in: query
          description: Return only resources whose id is after the specified id
          schema:
            type: integer
            minimum: 0
        - name: limit
          in: query
          description: Max number of resources to return per request
          schema:
            default: 100
            type: integer
            minimum: 1
            maximum: 500
        - name: page
          in: query
          description: >-
            Fetch another page of results. This field is deprecated and will be
            removed in a future version of the API. Use cursors for pagination
            instead
          schema:
            deprecated: true
            type: integer
            minimum: 1
        - name: cursor
          in: query
          schema:
            type: string
            description: >-
              Fetch another page of results using a cursor returned in a
              previous response
        - name: created_at_min
          in: query
          description: >-
            Return only activities created on or after the specified `ISO 8601`
            datetime string
          schema:
            type: string
        - name: created_at_max
          in: query
          description: >-
            Return only activities created before the specified `ISO 8601`
            datetime string
          schema:
            type: string
      responses:
        '200':
          description: '200'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ActivitiesListActivitiesResponseBody'
        '400':
          $ref: '#/components/responses/ClientErrorBadRequest'
        '401':
          description: '401'
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      message:
                        type: string
                      details:
                        type: object
                        propertyNames:
                          type: string
                        additionalProperties:
                          type: string
                    required:
                      - message
                    additionalProperties: false
                required:
                  - error
                additionalProperties: false
        '403':
          description: '403'
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      message:
                        type: string
                      details:
                        type: object
                        propertyNames:
                          type: string
                        additionalProperties:
                          type: string
                    required:
                      - message
                    additionalProperties: false
                required:
                  - error
                additionalProperties: false
      security:
        - ProgramApiKey:
            - read_customers
        - SiteTokenSecret: []
components:
  schemas:
    ActivitiesListActivitiesResponseBody:
      type: object
      properties:
        activities:
          type: array
          items:
            type: object
            properties:
              id:
                description: Unique ID of the activity in LoyaltyLion
                type: number
              merchant_id:
                description: >-
                  The ID of the associated resource in your store, or null if it
                  has no association. This can be used to [update an
                  activity](/api-reference/v2/resources/activities/update-activity)
                type:
                  - string
                  - 'null'
              value:
                description: The value of the activity, in points
                type: number
              state:
                type: string
                enum:
                  - pending
                  - declined
                  - approved
                  - void
                  - expired
              customer:
                description: >-
                  The customer linked to the activity. The attached fields
                  describe the _current_ state of the customer as the API
                  response is generated, not their state at the time of the
                  activity
                type: object
                properties:
                  id:
                    type: number
                  merchant_id:
                    type: string
                  email:
                    type:
                      - string
                      - 'null'
                  points_pending:
                    type: number
                  points_approved:
                    type: number
                  points_spent:
                    type: number
                required:
                  - id
                  - merchant_id
                  - email
                  - points_pending
                  - points_approved
                  - points_spent
                additionalProperties: false
              created_at:
                description: An `ISO 8601` timestamp representing the time of the activity
                type: string
              rule:
                description: >-
                  The rule that triggered this activity. If the activity was not
                  linked to a rule, such as a manual points adjustment, this
                  field will still be present but each of its properties will be
                  `null`
                type: object
                properties:
                  id:
                    type:
                      - number
                      - 'null'
                  name:
                    type:
                      - string
                      - 'null'
                  title:
                    type:
                      - string
                      - 'null'
                additionalProperties: false
              flow:
                description: >-
                  Information about the Flow that triggered this activity, if
                  applicable
                type: object
                properties:
                  id:
                    type: number
                  journey_id:
                    type: number
                  name:
                    type: string
                  block_id:
                    type: string
                required:
                  - id
                  - journey_id
                  - name
                  - block_id
                additionalProperties: false
            required:
              - id
              - merchant_id
              - value
              - state
              - customer
              - created_at
              - rule
            additionalProperties: false
        cursor:
          type: object
          properties:
            prev:
              type:
                - string
                - 'null'
            next:
              type:
                - string
                - 'null'
          required:
            - prev
            - next
          additionalProperties: false
      required:
        - activities
        - cursor
      additionalProperties: false
  responses:
    ClientErrorBadRequest:
      description: Bad Request
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: object
                properties:
                  message:
                    type: string
                  details:
                    type: object
                    additionalProperties:
                      type: string
                required:
                  - message
            required:
              - error
  securitySchemes:
    ProgramApiKey:
      type: http
      scheme: bearer
      description: >-
        An API key linked to a Program in LoyaltyLion, with a set of permissions
        (scopes). API keys can be created manually, or acquired through an
        OAuth2 flow. The API key should be provided as a `Bearer` token in the
        `Authorization` header
    SiteTokenSecret:
      type: http
      scheme: basic
      description: >-
        [DEPRECATED] Authenticate using a LoyaltyLion site's `token` as
        username, and its `secret` as the password. This authentication method
        is deprecated and will be removed in future. Use the `ProgramApiKey`
        authentication method instead

````